# -*- coding: utf-8 -*-
from setuphelpers import *
import base64
import json

form = """\
<html encoding="utf8">
    <form method="STDOUT">
        <h2>Formulaire</h2>
        Votre machine :
        <input type="text" name="machine" value="%(machine)s"><br>
        Votre nom:
        <input type="text" name="nom" value="%(nom)s"><br>
        Votre prénom:
        <input type="text" name="prenom" value="%(prenom)s"><br>
        <label for="pet-select">Choose a pet:</label>

        <select name="pets" id="pet-select">
            <option value="">--Please choose an option--</option>
            <option value="dog">Dog</option>
            <option value="cat">Cat</option>
            <option value="hamster">Hamster</option>
            <option value="parrot">Parrot</option>
            <option value="spider">Spider</option>
            <option value="goldfish">Goldfish</option>
        </select>
        <input type="submit" value="Valider">
    </form>
</html>
"""


def update_package():
    nom = ""
    prenom = ""
    machine = get_computername()
    pets = ""

    s = ensure_unicode(base64.b64encode((form % locals()).encode("utf8")))
    # wapt_get_version_cmd = psutil.Popen(["waptmessage','-c','-b", s], capture_output=True, text=True).stdout
    # wapt_get_version_cmd = subprocess.run(["waptmessage", " -c -b " + s], capture_output=True, text=True).stdout
    result = run(["waptmessage", "-c", "-b", s])
    if result:
        data = json.loads(result)
        nom = data["result"]["nom"]
        prenom = data["result"]["prenom"]
        machine = data["result"]["machine"]
        pets = data["result"]["pets"]
        print(
            """\
Nom: %s
Prénom: %s
Machine: %s
Animal: %s
"""
            % (nom, prenom, machine, pets)
        )
    print(result)
