# -*- coding: utf-8 -*-
from setuphelpers import *
import platform

uninstallkey = []

# Declaring specific app values (TO CHANGE)
package_name = "wine"


def install():
    # Installing the package
    if platform.linux_distribution()[0].lower() in ["debian", "ubuntu", "mint"]:
        print("Installing %s" % package_name)
        install_apt(package_name)

    if platform.linux_distribution()[0].lower() in [
        "centos linux",
        "centos",
        "suse",
        "fedora",
        "redhat",
    ]:
        print("Installing %s" % package_name)
        install_yum(package_name)


def uninstall():
    # Uninstalling the package
    if platform.linux_distribution()[0].lower() in ["debian", "ubuntu"]:
        print("Uninstalling %s" % package_name)
        uninstall_apt(package_name)

    if platform.linux_distribution()[0].lower() in [
        "centos linux",
        "centos",
        "suse",
        "fedora",
        "redhat",
    ]:
        print("Uninstalling %s" % package_name)
        uninstall_yum(package_name)


def update_package():
    pass
