# https://python-reference.readthedocs.io/en/latest/docs/dict/update.html
# https://stackoverflow.com/questions/38987/how-do-i-merge-two-dictionaries-in-a-single-expression-in-python


def merge_dicts(first, second):
    merged = copy.deepcopy(first)
    merged.update(second)
    return merged


def merge_json(first, second):
    return merge_dicts(json.loads(first), json.loads(second))
