#!waptpython
# -*- coding: utf-8 -*-
import os
import sys

sys.path.insert(0, os.path.dirname(os.path.realpath(__file__)))
from setupdevhelpers import *
from dev_utils import *

sys.path.insert(0, sys.executable.rsplit(os.path.sep, 1)[0].replace("/bin", "").replace("\\Scripts", ""))
from setuphelpers import *


###############################################################################
package_tools_path = get_package_tools_path()


def find_package_root():
    # check every parent folder for .git
    current_folder = os.getcwd()
    while True:
        if os.path.exists(os.path.join(current_folder, ".git")):
            return current_folder
        else:
            current_folder = os.path.dirname(current_folder)
            if current_folder == os.path.dirname(current_folder):
                raise Exception("No .git folder found in any parent folder")


template_to_copy = makepath(package_tools_path, "package-template", ".gitignore")
print(f"Copying: {template_to_copy} to this package.")
package_root = find_package_root()

filecopyto(template_to_copy, package_root)
