def session_setup():
    # Editing argv.json once
    if not registry_readstring(HKEY_CURRENT_USER, r"Software\WAPT\Visual Studio Code", "ApplyLocaleOnce") == "Done" or force:
        mkdirs(user_app_dir)
        if isfile(user_argv_conf_file):
            user_argv_dict = json.loads(load_json_file_with_comments(user_argv_conf_file))
            user_argv_dict.update(locale_dict)
            json_write_file(user_argv_conf_file, user_argv_dict)
        else:
            json_write_file(user_argv_conf_file, locale_dict)
        registry_setstring(HKEY_CURRENT_USER, r"Software\WAPT\Visual Studio Code", "ApplyLocaleOnce", "Done")

        # Rerun vscode
        if isrunning("code"):
            if "waptguihelper" in sys.modules and not params.get("running_as_luti"):
                waptguihelper.message_dialog(control.package, f"Visual Studio Code will be killed and rerun to apply:{control.name}")
            killalltasks(["Code", "code"])
            subprocess.Popen([app_bin_path if get_os_name() != "Windows" else makepath(app_dir, "Code.exe")])
        else:
            rerun_delay = 10
            if "waptguihelper" in sys.modules and not params.get("running_as_luti"):
                waptguihelper.message_dialog(
                    control.package, f"Visual Studio Code will be launched and killed in {rerun_delay} seconds to apply: {control.name}"
                )
            subprocess.Popen([app_bin_path if get_os_name() != "Windows" else makepath(app_dir, "Code.exe")])
            time.sleep(10)
            killalltasks(["Code", "code"])
