def session_setup():
    # Waiting for installs finalization
    waiting_time = 0
    max_waiting = 2500
    loop_time = 5
    print(f"Waiting for {app_name} installs finalization")
    setup_path = makepath(programfiles32, r"Microsoft Visual Studio\Installer\setup.exe")
    while isrunning(setup_path, full_path=True):
        # while isrunning("setup"):
        waiting_time = waiting_time + loop_time
        if waiting_time > max_waiting:
            # error(f"{app_name} timeout after {max_loop} seconds")
            print(f"{app_name} timeout after {max_loop} seconds. Continuing")
        time.sleep(loop_time)
    print(f"{app_name} installs finalized in {waiting_time} seconds")

    # Silent loop waiting with a specific loop timer
    # Disable app run at startup
    reg_app_run = None
    loop = 0
    loop_timer = 1
    max_loop = 120
    while not reg_app_run:
        reg_app_run = registry_readstring(HKEY_CURRENT_USER, r"SOFTWARE\Microsoft\Windows\CurrentVersion\Run", "Discord")
        loop += loop_timer
        if loop >= max_loop:
            break
        time.sleep(loop_timer)
    if reg_app_run:
        registry_setstring(HKEY_CURRENT_USER, r"SOFTWARE\Microsoft\Windows\CurrentVersion\Run\AutorunsDisabled", "Discord", reg_app_run)
        registry_delete(HKEY_CURRENT_USER, r"SOFTWARE\Microsoft\Windows\CurrentVersion\Run", "Discord")

    # Loop return error and wait 10 sec by loops
    loop = 0
    max_loop = 1800
    print("Waiting for custom CleanMgr")
    while isrunning("cleanmgr"):
        loop += 10
        if loop > max_loop:
            error("CleanMgr timeout after %s seconds" % max_loop)
        time.sleep(10)
        print("CleanMgr is running since %s seconds" % loop)
    print("CleanMgr finished")

    # Killing firstrun
    loop = 0
    max_loop = 50
    if isrunning(bin_name):
        print("Waiting for killing firstrun")
    while isrunning(bin_name):
        loop += 10
        if loop > max_loop:
            print("Installation timeout after %s seconds" % max_loop)
            killalltasks(bin_name)
        time.sleep(10)
    time.sleep(10)

    firstrun = False
    app_processes = find_processes("Discord")
    for p in app_processes:
        try:
            if "--squirrel-firstrun" in p.cmdline():
                firstrun = True
        except:
            pass
    if firstrun:
        print("Killing firstrun")
        time.sleep(10)
        killalltasks(ensure_list(control.impacted_process))
